.register {
    display: flex;
    align-items: center;
    /* border: solid blue; */
    gap: 140px;
    margin: 122px 0 160px 0;
    padding: 0;
}

.register_modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 47px;
    border: 1px solid #4D4D4D;
    background: #161616;
    width: 500px;
    border: solid red;
}

.register_section_title {
    color: var(--white);
    font-size: 32px;
    font-weight: 600;
    line-height: 124%;
    letter-spacing: -0.96px;
}

.register_section {
    width: fit-content;
    display: flex;
    gap: 15px;
    /* border: solid blue; */
}

.register_section_logo_container,
#register_form {
    border-radius: 18px;
    background: var(--black-near);
}

.register_section_logo_container {
    width: 618px;
    height: 576px;
    display: grid;
    place-items: center;
}

.register_section_logo {
    width: 207px;
}

#register_form {
    width: 499px;
    display: flex;
    flex-direction: column;
    padding: 20px;
    gap: 30px;
}

.register_form_title {
    color: var(--white);
    font-size: 28px;
    font-weight: 500;
    line-height: 124%;
    letter-spacing: -0.84px;
    margin-bottom: 30px;
}

.register_form_input_container {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.register_form_input,
#custom_select {
    border-radius: 16px;
    border: 1px solid var(--gray-dark-medium);
    height: 56px;
    width: inherit;
    color: var(--gray-muted);
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
    padding-inline: 16px;
}

#custom_select {
    position: relative;
}

.select_trigger {
    /* border: solid red; */
    width: 100%;
    height: 56px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#select_arrow {
    width: 12px;
}

.select_options {
    position: absolute;
    width: 100%;
    top: 110%;
    left: 0;
    background: var(--black-near);
    border: 1px solid var(--gray-dark-medium);
    display: none;
    z-index: 100;
    border-radius: 16px;
    padding: 16px 0;
}

.select_options li {
    padding: 12px;
    cursor: pointer;

    &:hover {
        background: #333;
    }
}


#custom_select.open .select_options {
    display: block;
}

/* ?????????????????????????????????????????????????????? */
.register_form_label {
    color: var(--gray-muted);
    font-size: 16px;
    font-weight: 500;
    line-height: 124%;
    letter-spacing: -0.48px;
}

.register_form_error {
    color: var(--red);
    font-size: 12px;
    font-weight: 400;
    margin-top: -5px;
    display: none;
}

.register_form_btn_frame {
    margin: 1px;
}

.register_form_input_container.error .register_form_error {
    display: block;
}

.register_margin {
    margin: 160px auto;
}